curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/companies/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/companies/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b', {
method: 'GET',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
}
});
const data = await response.json();
{
"success": true,
"companyId": "8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
"name": "Acme Corporation",
"status": "active",
"entity": {
"name": "Acme Corporation LLC",
"type": "LLC",
"industry": "Technology",
"registrationNumber": "12345678",
"taxId": "98-7654321"
},
"address": {
"line1": "456 Business Ave",
"city": "San Francisco",
"region": "CA",
"postalCode": "94103",
"countryCode": "US"
},
"createdAt": "2024-01-15T10:00:00Z",
"updatedAt": "2024-01-16T14:30:00Z"
}
Company Management
Get Company Details
This endpoint retrieves detailed information about a company
GET
/
api
/
v1
/
cards-program
/
companies
/
:companyId
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/companies/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/companies/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b', {
method: 'GET',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
}
});
const data = await response.json();
{
"success": true,
"companyId": "8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
"name": "Acme Corporation",
"status": "active",
"entity": {
"name": "Acme Corporation LLC",
"type": "LLC",
"industry": "Technology",
"registrationNumber": "12345678",
"taxId": "98-7654321"
},
"address": {
"line1": "456 Business Ave",
"city": "San Francisco",
"region": "CA",
"postalCode": "94103",
"countryCode": "US"
},
"createdAt": "2024-01-15T10:00:00Z",
"updatedAt": "2024-01-16T14:30:00Z"
}
Params
string
required
The unique company identifier
Response
boolean
Indicates whether the call was successful
string
The unique company identifier
string
Legal business name
string
Company account status:
pending, active, suspended, or closedobject
object
Business address details
string
ISO 8601 timestamp when the company account was created
string
ISO 8601 timestamp when the company account was last updated
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/companies/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
const response = await fetch('https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/companies/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b', {
method: 'GET',
headers: {
'Content-Type': 'application/json',
'api-key': '<api-key>'
}
});
const data = await response.json();
{
"success": true,
"companyId": "8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
"name": "Acme Corporation",
"status": "active",
"entity": {
"name": "Acme Corporation LLC",
"type": "LLC",
"industry": "Technology",
"registrationNumber": "12345678",
"taxId": "98-7654321"
},
"address": {
"line1": "456 Business Ave",
"city": "San Francisco",
"region": "CA",
"postalCode": "94103",
"countryCode": "US"
},
"createdAt": "2024-01-15T10:00:00Z",
"updatedAt": "2024-01-16T14:30:00Z"
}
Error Responses
{
"success": false,
"error": "Unauthorized. Please check your authentication credentials."
}
{
"success": false,
"error": "Company not found."
}
⌘I